java.lang.IllegalArgumentException: Class com.google.zxing.pdf417.PDF417ResultMetadata conflict: /home/username/projects/NativeScript/nativescript-angular/ng-sample/platforms/android/build/intermediates/exploded-aar/barcodescanner-release/jars/classes.jar and /home/username/projects/NativeScript/nativescript-angular/ng-sample/platforms/android/build/intermediates/exploded-aar/barcodescanner-release-2.0.1/jars/classes.jar

Searched on Google with the first line of a JAVA stack trace?

We can recommend more relevant solutions and speed up debugging when you paste your entire stack trace with the exception message. Try a sample exception.

Recommended solutions based on your search

Solutions on the web

via GitHub by sclausen
, 1 year ago
Class com.google.zxing.pdf417.PDF417ResultMetadata conflict: /home/username/projects/NativeScript/nativescript-angular/ng-sample/platforms/android/build/intermediates/exploded-aar/barcodescanner-release/jars/classes.jar and /home/username/projects
via GitHub by loveyanbei
, 1 year ago
Class com.tns.TypeIDs conflict: /home/lyt/com.tianyi9.m.NGLLP/platforms/android/build/intermediates/exploded-aar/m/runtime/unspecified/jars/classes.jar and /home/lyt/com.tianyi9.m.NGLLP/platforms/android/build/intermediates/exploded-aar/nativescript/jars/classes.jar
via GitHub by cutout33
, 1 year ago
Class com.google.zxing.pdf417.PDF417ResultMetadata conflict: /Users/fadi/Documents/appseleon/projects/bcard/bcard/platforms/android/build/intermediates/exploded-aar/barcodescanner-release-2.0.2/jars/classes.jar and /Users/fadi/.gradle/caches/modules-2/files-2.1/com.google.zxing/core/3.2.1/2287494d4f5f9f3a9a2bb6980e3f32053721b315/core-3.2.1.jar
via GitHub by DocGreenRob
, 1 year ago
-drawable\23.4.0\jars\classes.jar and C:\_Sandbox\NativeScript\sample-Groceries\platforms\android\build\intermediates\exploded-aar\com.android.support\animated-vector-drawable\23.3.0\jars\classes.jar
via Stack Overflow by Robert Green
, 1 year ago
-drawable\23.4.0\jars\classes.jar and C:\_Sandbox\NativeScript\sample-Groceries\platforms\android\build\intermediates\exploded-aar\com.android.support\animated-vector-drawable\23.3.0\jars\classes.jar
via GitHub by progig
, 1 year ago
Class com.tns.TypeIDs conflict: D:\git\holsa-app\platforms\android\build\intermediates\exploded-aar\nativescript\jars\classes.jar and D:\git\holsa-app\platforms\android\build\intermediates\exploded-aar\AppCompanyName\runtime\unspecified\jars\classes.jar
java.lang.IllegalArgumentException: Class com.google.zxing.pdf417.PDF417ResultMetadata conflict: /home/username/projects/NativeScript/nativescript-angular/ng-sample/platforms/android/build/intermediates/exploded-aar/barcodescanner-release/jars/classes.jar and /home/username/projects/NativeScript/nativescript-angular/ng-sample/platforms/android/build/intermediates/exploded-aar/barcodescanner-release-2.0.1/jars/classes.jar
at com.telerik.metadata.ClassRepo.cacheJarFile(ClassRepo.java:21)
at com.telerik.metadata.Builder.build(Builder.java:39)
at com.telerik.metadata.Generator.main(Generator.java:44)

Users with the same issue

You are the first who have seen this exception.

Write tip

Know the solutions? Share your knowledge to help other developers to debug faster.